summaryrefslogtreecommitdiffstats
path: root/tests
diff options
context:
space:
mode:
authorPatrick McDermott <patrick.mcdermott@libiquity.com>2023-06-17 16:20:15 (EDT)
committer Patrick McDermott <patrick.mcdermott@libiquity.com>2023-06-17 17:38:37 (EDT)
commit01100b3ccc8a5af5ef58615e7486b05efa8d7703 (patch)
tree3f3a3c05bf0431bfdd324e805920b547a520fb74 /tests
parentcb80b714acc112048123dd62226f28d57436eb66 (diff)
tests: Add package build test
Diffstat (limited to 'tests')
-rw-r--r--tests/.gitignore1
-rwxr-xr-xtests/build.sh35
-rw-r--r--tests/local.mk3
3 files changed, 38 insertions, 1 deletions
diff --git a/tests/.gitignore b/tests/.gitignore
index 7e563b8..966477b 100644
--- a/tests/.gitignore
+++ b/tests/.gitignore
@@ -1,2 +1,3 @@
*.log
*.trs
+pkg.opk
diff --git a/tests/build.sh b/tests/build.sh
new file mode 100755
index 0000000..a5032cc
--- /dev/null
+++ b/tests/build.sh
@@ -0,0 +1,35 @@
+# Test for package building
+#
+# Copyright (C) 2023 Patrick McDermott
+#
+# This file is part of opkg-opk.
+#
+# opkg-opk is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# opkg-opk is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with opkg-opk. If not, see <http://www.gnu.org/licenses/>.
+
+set -eu
+
+. "${TOP_SRCDIR}/tests/aux/tap-functions.sh"
+
+plan_ 1
+
+mkdir -p "${TOP_BUILDDIR}/tests/"
+
+SOURCE_DATE_EPOCH=1685592000 command_ok_ 'package building' -- \
+ "${TOP_BUILDDIR}/opkg-opk" \
+ -b \
+ -c "${TOP_SRCDIR}/tests/pkg/control/" \
+ -d "${TOP_SRCDIR}/tests/pkg/data/" \
+ "${TOP_BUILDDIR}/tests/pkg.opk"
+
+:
diff --git a/tests/local.mk b/tests/local.mk
index 63d1018..637eb30 100644
--- a/tests/local.mk
+++ b/tests/local.mk
@@ -1,5 +1,6 @@
TESTS = \
- %reldir%/version.sh
+ %reldir%/version.sh \
+ %reldir%/build.sh
TEST_EXTENSIONS = .sh
SH_LOG_DRIVER = \
AM_TAP_AWK='$(AWK)' \